﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows;
using Infragistics.Windows.Controls;

namespace XamDataGridSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void GBALoaded(object sender, RoutedEventArgs e)
        {
            if (sender is GroupByAreaMulti)
            {
                GroupByAreaMultiPanel ed = Utilities.GetDescendantFromType(sender as DependencyObject, typeof(GroupByAreaMultiPanel), true) as GroupByAreaMultiPanel;
                Grid g = Utilities.GetAncestorFromType(ed, typeof(Grid), true) as Grid;
                g.ColumnDefinitions[0].Width = new GridLength(0);
            }
            else
            {
                Grid gg = Utilities.GetDescendantFromName(sender as DependencyObject, "PART_GroupedFieldLabelsArea") as Grid;
                Grid ed = Utilities.GetDescendantFromType(gg, typeof(Grid), true) as Grid;                
                ed.ColumnDefinitions[0].Width = new GridLength(0);

                Grid gg1 = Utilities.GetDescendantFromName(sender as DependencyObject, "PART_AvailableFieldLabelsArea") as Grid;
                Grid ed1 = Utilities.GetDescendantFromType(gg1, typeof(Grid), true) as Grid;
                ed1.ColumnDefinitions[0].Width = new GridLength(0);
            }
        }
    }
}
